Skip to main content
`Ctrl`+`K`

# slepc4py.SLEPc.ST.FilterType

class slepc4py.SLEPc.ST.FilterType

  Bases: `object`

  ST filter type.

  - `FILTLAN`: An adapted implementation of the Filtered Lanczos Package.

  - `CHEBYSEV`: A polynomial filter based on a truncated Chebyshev series.

  Attributes Summary

  `CHEBYSHEV` | Constant `CHEBYSHEV` of type `int`
  `FILTLAN` | Constant `FILTLAN` of type `int`

  Attributes Documentation

  CHEBYSHEV: int = CHEBYSHEV

    Constant `CHEBYSHEV` of type `int`

  FILTLAN: int = FILTLAN

    Constant `FILTLAN` of type `int`